import 'package:jt_flutter_cli/jt_flutter_cli.dart' as jt_flutter_cli;

void main(List<String> arguments) {
  // print('Hello world: ${jt_flutter_cli.calculate()}!');

  if (arguments.isNotEmpty && arguments.length == 3) {
    /// create new feature (create feature name_of_feature)
    if (arguments[0] == 'create' && arguments[1] == 'feature') {
      String featureName = arguments[2];
      jt_flutter_cli.createFeature(featureName);
    }

    /// create widget (create widget name_of_widget)
    if (arguments[0] == 'create' && arguments[1] == 'widget') {
      String widgetName = arguments[2];
      jt_flutter_cli.createWidget(widgetName);
    }
  }

  if (arguments.isNotEmpty && arguments.length == 5) {
    /// create new feature (create feature name_of_feature)
    if (arguments[0] == 'create' && arguments[1] == 'model') {
      String modelName = arguments[2];
      String featureName = arguments[3];
      String jsonFilePath = arguments[4];
      jt_flutter_cli.createModel(modelName, featureName, jsonFilePath);
    }
  }
}
